%global commit c0d51a5fd3fcc075d91f10d24eadc5f462c87795
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global realname rosdep

Name:           python-rosdep
Version:        0.10.32
Release:        1%{?dist}
Summary:        ROS System Dependency Installer

License:        BSD
URL:            http://ros.org/wiki/rosdep
Source0:        https://github.com/ros-infrastructure/%{realname}/archive/%{commit}/%{realname}-%{version}-%{shortcommit}.tar.gz

BuildArch:      noarch

BuildRequires:  PyYAML
BuildRequires:  python-catkin_pkg
BuildRequires:  python-catkin-sphinx
BuildRequires:  python2-devel
# BuildRequires:  python-mock
BuildRequires:  python-nose
BuildRequires:  python-rosdistro >= 0.3.0
BuildRequires:  python-rospkg
BuildRequires:  python-sphinx

Requires:       PyYAML >= 3.1
Requires:       python-catkin_pkg
Requires:       python-rospkg
Requires:       python-rosdistro >= 0.3.0
Requires:       ros-release


%description
rosdep is a command-line tool for installing system dependencies. For 
end-users, rosdep helps you install system dependencies for software that 
you are building from source. For developers, rosdep simplifies the problem 
of installing system dependencies on different platforms. Instead of having to 
figure out which Debian package on Ubuntu Oneiric contains Boost, you can just 
specify a dependency on 'boost'.


%prep
%setup -qn %{realname}-%{commit}


%build
%{__python2} setup.py build
pushd doc
make man
make html
rm -f html/.buildinfo
popd


%install
rm -rf $RPM_BUILD_ROOT
%{__python2} setup.py install --skip-build --root $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{realname}
install -p -m 0644 manifest.xml $RPM_BUILD_ROOT%{_datadir}/%{realname}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
install -p -m 0644 doc/man/rosdep.1 $RPM_BUILD_ROOT%{_mandir}/man1
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/ros/rosdep/sources.list.d/
touch $RPM_BUILD_ROOT%{_sysconfdir}/ros/rosdep/sources.list.d/20-default.list

# Get rid of non-executable-script errors from rpmlint
sed -i 's|#!/usr/bin/env python||' $RPM_BUILD_ROOT%{python2_sitelib}/rosdep2/*.py
sed -i 's|#!/usr/bin/env python||' $RPM_BUILD_ROOT%{python2_sitelib}/rosdep2/platforms/*.py

# Get rid of hidden file in documentation folder
rm -f doc/_build/.buildinfo


# Cannot currently run tests because they need to query Github
# %check
# PYTHONPATH=$RPM_BUILD_ROOT%{python2_sitelib} nosetests -w test


%files
%doc LICENSE README.md doc/_build/html
%{_bindir}/*
%{python2_sitelib}/%{realname}-%{version}-py?.?.egg-info
%{python2_sitelib}/%{realname}2
%{_mandir}/man1/*.gz
%{_datadir}/%{realname}
%dir %{_sysconfdir}/ros/rosdep/
%dir %{_sysconfdir}/ros/rosdep/sources.list.d/
%ghost %{_sysconfdir}/ros/rosdep/sources.list.d/20-default.list


%changelog
* Sat Oct 18 2014 Scott K Logan <logans@cottsay.net> - 0.10.32-1
- Update to release 0.10.32

* Thu Jul 31 2014 Scott K Logan <logans@cottsay.net> - 0.10.30-1
- Update to release 0.10.30

* Mon Jul 28 2014 Scott K Logan <logans@cottsay.net> - 0.10.29-1
- Update to release 0.10.29

* Tue Jul 01 2014 Scott K Logan <logans@cottsay.net> - 0.10.28-1
- Update to release 0.10.28

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.27-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon May 19 2014 Scott K Logan <logans@cottsay.net> - 0.10.27-2
- Fix for F19 release name in exceptions
- Update python macros to packaging spec
- Remove pythonpip patch, which is not needed for F19+

* Sat Apr 12 2014 Rich Mattes <richmattes@gmail.com> - 0.10.27-1
- Update to release 0.10.27
- Build html documentation

* Sat Feb 08 2014 Rich Mattes <richmattes@gmail.com> - 0.10.25-1
- Update to release 0.10.25

* Mon Aug 19 2013 Rich Mattes <richmattes@gmail.com> - 0.10.21-1
- Update to release 0.10.21
- Depend on python-catkin_pkg (rhbz#975896)

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.10.18-2.20130601git91fb685
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sat Jun 01 2013 Rich Mattes <richmattes@gmail.com> - 0.10.18-1.20130601git91fb6852
- Update to release 0.10.18
- Update github source url

* Mon Mar 18 2013 Rich Mattes <richmattes@gmail.com> - 0.10.14-1.20130318git76a8fef
- Update to release 0.10.14
- Fix installer to look for python-pip instead of pip (rhbz922296)
- Move rosdep cache to /var/cache instead of /etc

* Sun Oct 28 2012 Rich Mattes <richmattes@gmail.com> - 0.10.7-1.20121028gita9d29d2
- Update to 0.10.7
- Depend on /etc/ros from ros-release
- Separate build and install steps

* Mon Sep 17 2012 Rich Mattes <richmattes@gmail.com> - 0.9.7-1.20120917git5e1ecef
- Update to 0.9.7

* Sat Jun 16 2012 Rich Mattes <richmattes@gmail.com> - 0.9.5-1
- Update to 0.9.5

* Sun Apr 29 2012 Rich Mattes <richmattes@gmail.com> - 0.9.3-1
- Initial package
